:root {
  --at-primary: #f05223;
  --at-primary-overlay: #f05323;
  --at-primary-fade: #f05323cc;
  --at-gray: #ffffffd5;
  --at-dark-gray: #535353;
  --at-dark-gray-faded: #5353533f;
  --at-transition-fade: 0.3s cubic-bezier(0.84, 0.01, 0.41, 0.99);
  --at-transition-fade-slow: 0.3s cubic-bezier(0.73, 0.39, 0.76, 0.76);

  --at-card-border-radius: 10px;
  --at-container-padding: 10rem;
  --at-container-padding-sm: 5rem;
}

body::-webkit-scrollbar {
  width: 0.7em;
  z-index: 1000 !important;
}

body::-webkit-scrollbar-track {
  background: #53535328;
}

body::-webkit-scrollbar-thumb {
  background-color: rgba(121, 121, 121, 0.61);
  /* outline: 1px solid rgba(112, 128, 144, 0.74); */
  border-radius: 5px;
}

.at-navbar {
  background: var(--at-primary);
  z-index: 10;
  border-bottom: 1px solid var(--at-dark-gray-faded);
}

.hero-section {
  background: var(--at-primary);
  background-size: cover;
  /* background-blend-mode: soft-light; */
  width: 100vw;
  height: 100vh;

  left: 0;
  top: 0;
}

.about-hero-section {
  background: var(--at-primary);
  background-size: cover;
  /* background-blend-mode: soft-light; */
  width: 100vw;
  height: 100vh;
  padding-top: 3rem;

  left: 0;
  top: 0;
}

/* Map Canvas */
.mapouter {
  position: relative;
  text-align: right;
  height: auto;
  min-height: 500px;
  width: 100%;
}

.gmap_canvas {
  overflow: hidden;
  background: none !important;
  height: auto;
  min-height: 500px;
  width: 100%;
}

.at-form-group {
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
}

@media (min-width: 769px) {
  .hero-section {
    background: var(--at-primary);
  }
}
@media (min-width: 768px) {
  .hero-section {
    background: var(--at-primary);
  }
}

/* @media (min-width: 320px) {
  .at-footer>.row .col-md-6> .at-desc.fs-7.mt-4.mb-3 {
    bottom:-60px;
  }
} */
.visualizing-section {
  width: 100%;
  height: 100%;
}

.customization-section {
  width: 100%;
  height: auto;
}

.production-section {
  width: 100%;
  height: auto;
}

.products-section {
  width: 100%;
  height: auto;
}

.futuristic-section {
  width: 100%;
  height: auto;
  background: radial-gradient(var(--at-primary), #f78b33);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.at-tagline {
  opacity: 80%;
}

.at-desc {
  color: #2d2d2d8e;
}

.at-contact-btn {
  color: var(--at-primary);
  background: white;
  outline: none;
  border: none;
  padding: 10px 15px;
  border-radius: 8px;
  border: 2px solid #f0532300;
  transition: var(--at-transition-fade);
}

.at-contact-btn:hover {
  border: 2px solid white;
  background: none;
  color: white;
}

.at-hero {
  filter: drop-shadow(0.35rem 0.35rem 0.4rem rgba(0, 0, 0, 0.5));
}

.st0 {
  fill: url(#dreamkallen);
  stroke-width: 8px;
  stroke: white;
  fill-opacity: 0;
  transition: var(--at-transition-fade);
}

.st0:hover {
  fill: url(#dreamkallen);
  fill-opacity: 100%;
  stroke-width: 0px;
}

.at-dropdown-item {
  display: block;
  width: 100%;
  padding: 0.25rem 1rem;
  clear: both;
  font-weight: 400;
  color: var(--at-dark-gray);
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  transition: var(--at-transition-fade);
}

.dropdown-menu a:hover {
  color: var(--at-primary) !important;
}

html,
body {
  height: 100%;
  margin: 0px;
  padding: 0px;
}
.at-full {
  height: 100%;
}

.at-slide-images {
  background-position: center !important;
  background-repeat: no-repeat;
  background-size: cover;
}

.at-section-title {
  color: var(--at-primary);
}

.img-comp-colors {
  border-radius: var(--at-card-border-radius) !important;
}

.img-comp-title {
  color: var(--at-primary);
}

.at-bg-center {
  background-position: center center !important;
  background-repeat: no-repeat !important;
  background-size: cover;
}

.at-products .slick-slide {
  padding: 10px !important;
}

.at-card {
  width: 300px;
  border-radius: var(--at-card-border-radius);
  margin-left: 0px;
  margin-right: 0px;
}
@media (min-width: 769px) {
  .at-card {
    margin-left: 20px;
    margin-right: 20px;
  }
}

.at-card-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: var(--at-card-border-radius);
}

.card {
  border-radius: var(--at-card-border-radius) !important;
}

.at-card-title {
  color: var(--at-primary);
}

.at-card-desc {
  font-size: 0.8rem;
}

.at-more-btn {
  color: white;
  background: var(--at-primary);
  outline: none;
  border: none;
  padding: 10px 15px;
  border-radius: 8px;
  border: 2px solid white;
  transition: var(--at-transition-fade);
}

.at-more-btn:hover {
  border: 2px solid var(--at-primary);
  background: none;
  color: var(--at-primary);
}

.at-dl-btn {
  color: var(--at-primary);
  background: none;
  outline: none;
  border: none;
  padding: 10px 15px;
  border-radius: 8px;
  border: 2px solid white;
  transition: var(--at-transition-fade);
}

.at-dl-btn:hover {
  background: none;
  color: var(--at-primary-fade);
}

.at-img-rounded {
  border-radius: var(--at-card-border-radius);
}

.at-img-caption {
  background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 0.5186449579831933) 0%,
    rgba(0, 0, 0, 0) 29%
  );
  border-radius: 10px;
  opacity: 0;
  transition: var(--at-transition-fade);
}

.at-img-caption:hover {
  opacity: 100%;
}

/* Footer Section */
.at-footer {
  background: #acacac15;

}

.center-content {
  margin-top: 120px;
  margin-bottom: 120px;
}

.line {
  border-top: 1px solid #9b9b9b75;
  width: 90% !important;
}

.fa-mobile {
  font-size: 20px;
}

#contact {
  font-size: 15px;
}

.grey-text {
  color: lightgrey;
}

.at-social-icons {
  color: var(--at-primary);
}

.at-social-icons:hover {
  color: var(--at-primary-fade);
}

.at-link {
  display: block;
  width: 25px;
  /* clear: both; */
  font-weight: 400;
  color: var(--at-dark-gray);
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  transition: var(--at-transition-fade);
  padding-bottom: 0.25rem;
}

.at-link-reset {
  text-decoration: none;
}

.at-link:hover {
  color: var(--at-primary);
}

#at-video {
  position: fixed;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.at-slide-content {
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 10;
  background: rgba(0, 0, 0, 0.4);
  border: var(--at-card-border-radius);
}

@media (max-width: 769px) {
  .at-img-production {
    min-height: 450px;
  }
}

.twentytwenty-overlay {
  border-radius: var(--at-card-border-radius);
}

.at-color-palette {
  width: 50px;
  height: 50px;
  border-radius: 5px;
}

.card {
  border-radius: var(--at-card-border-radius);
}

.at-color-title {
  font-size: 0.6rem;
  width: 50px;
  margin-top: 0.8rem !important;
  text-align: center;
}

.at-design-colors {
  width: 100% !important;
}

.at-progress {
  height: 10px !important;
}

.at-progress-bar {
  background: var(--at-primary);
}

.at-text-highlight {
  background: var(--at-primary);
  color: rgb(255, 255, 255);
  font-weight: bold;
  padding: 0.2rem;
}

/* .at-future-cimg {
  width: 25% !important;
  display: inline-flex;
}

.at-future-cdesc {
  width: 75% !important;
  display: inline-flex;
} */

.at-future-lcard {
  border-radius: var(--at-card-border-radius);
  margin-right: 25px;
}

.at-future-rcard {
  border-radius: var(--at-card-border-radius);
  margin-left: 25px;
}

/* Ripple Loader */
.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #fff;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}

.at-loader {
  z-index: 10000;
  width: 100vw;
  height: 100vh;
  background: var(--at-primary);
  position: absolute;
  top: 0;
  left: 0;
}

.at-quote {
  color: var(--at-primary);
}

.at-desc a {
  text-decoration: none;
  color: var(--at-primary);
  transition: var(--at-transition-fade);
}

.at-desc a:hover {
  text-decoration: none;
  color: var(--at-primary-fade);
}

/* Customization Slide Pagination */
.splide__pagination__page.is-active {
  background: #ffffff !important;
}

.splide__pagination__page {
  background: #ffffff !important;
  /* opacity: .7; */
}

.at-customization-img {
  object-fit: cover;
  border-radius: var(--at-card-border-radius);
  height: 200px !important;
}

.at-customization-single-color {
  width: 32%;
  display: inline-block;
}

.at-color-palette-wrapper {
  width: fit-content;
}

.at-customization-step-title {
  color: var(--at-primary);
  display: inline-block;
}

.at-customization-colors .slick-dots li a {
  text-decoration: none;
  color: white;
  font-weight: 600;
  font-size: 0.8rem;
}

.at-customization-colors .slick-dots li {
  width: 24px;
  height: 24px;
  text-align: center;
  line-height: 24px;
  border-radius: 12px;
  background: var(--at-primary);
  margin: 0 12px;
  display: inline-block;
  color: white;
  position: relative;
}

.at-customization-colors .slick-dots li::before {
  content: "";
  position: absolute;
  top: 11px;
  left: -48px;
  width: 48px;
  height: 2.4px;
  background: var(--at-primary);
  z-index: -1;
}

.at-customization-colors .slick-dots li:first-child::before {
  display: none;
}

.at-customization-colors .slick-dots .slick-active {
  background: var(--at-primary);
}

.at-customization-colors .slick-dots .slick-active ~ li {
  background: #a8a8a8;
}

.at-customization-colors .slick-dots .slick-active ~ li::before {
  background: #a8a8a8;
}

/*  */

/* For Responsiveness */

@media (min-width: 576px) {
  .customization-section,
  .production-section,
  .products-section,
  .futuristic-section {
    padding: 0 !important;
  }
  .at-design-colors {
    width: 100% !important;
  }
  .at-color-title {
    width: 50px !important;
  }
}

@media (min-width: 768px) {
  .customization-section,
  .production-section,
  .products-section,
  .futuristic-section {
    padding: 0 !important;
  }
  .at-design-colors {
    width: 100% !important;
  }
  .at-color-title {
    width: 50px !important;
  }
  .at-customization-img {
    min-height: 400px !important;
  }
}

@media (min-width: 992px) {
  .customization-section,
  .production-section,
  .products-section,
  .futuristic-section {
    padding: var(--at-container-padding-sm) !important;
  }
  .at-design-colors {
    width: 100% !important;
  }
  .at-color-title {
    width: 50px !important;
  }
  .at-customization-img {
    min-height: 400px !important;
  }
}

@media (min-width: 1200px) {
  .customization-section,
  .production-section,
  .products-section,
  .futuristic-section {
    padding: var(--at-container-padding-sm) !important;
  }
  .at-design-colors {
    width: 90% !important;
  }
  .at-color-title {
    width: 50px !important;
  }
}

@media (min-width: 1500px) {
  .customization-section,
  .production-section,
  .products-section,
  .futuristic-section {
    padding: var(--at-container-padding) !important;
  }
  .at-design-colors {
    width: 80% !important;
  }
  .at-color-title {
    width: 50px !important;
  }
}
